﻿namespace WpfOpgave
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : System.Windows.Window
	{
		public Window1()
		{
			InitializeComponent();

			var roleList = (Entities.PersonRole[])System.Enum.GetValues(typeof(Entities.PersonRole));

			foreach (var role in roleList)
			{
				ComboRole.Items.Add(role);
			}

			var clientArea = (System.Windows.Controls.Panel)Content;
			clientArea.Margin = new System.Windows.Thickness(3);
		}

		public Entities.Person Person { get; set; }

		private void Window_Loaded(object sender, System.Windows.RoutedEventArgs e)
		{
			DataContext = Person;
		}

		private void ButtonOk_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			DialogResult = true;
			Close();
		}

		private void ButtonCancel_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			DialogResult = false;
			Close();
		}
	}
}
