﻿namespace WpfOpgave
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : System.Windows.Window
	{
		public Window1()
		{
			InitializeComponent();

			var roleList = (Entities.PersonRole[])System.Enum.GetValues(typeof(Entities.PersonRole));

			foreach (var role in roleList)
			{
				RoleCombo.Items.Add(role);
			}
		}

		private Entities.Person _person;

		private void Window_Loaded(object sender, System.Windows.RoutedEventArgs e)
		{
			_person = new Entities.Person()
			{
				Company = "Captator",
				Name = "Carsten Juel Andersen",
				WorkTitle = "Softwarearkitekt",
				AddressLine1 = "Søndergade 44, 3",
				ZipCode = "8000",
				City = "Århus C",
				Phone = "86 20 42 41",
				MobilePhone = "23 48 00 03",
				Role = WpfOpgave.Entities.PersonRole.Partner
			};

			DataContext = _person;
		}

		private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			System.Windows.MessageBox.Show(_person.ToString());
		}
	}
}
