﻿namespace WpfOpgave.Entities
{
	public static class EntitiesUtil
	{
		public static Entities.Person CreatePersonTestData()
		{
			var person = new Entities.Person()
			{
				Company = "Captator",
				Name = "Carsten Juel Andersen",
				WorkTitle = "Softwarearkitekt",
				AddressLine1 = "Søndergade 44, 3",
				ZipCode = "8000",
				City = "Århus C",
				Phone = "86 20 42 41",
				MobilePhone = "23 48 00 03",
				Role = WpfOpgave.Entities.PersonRole.Partner
			};

			return person;
		}

		public static Entities.PersonList CreatePersonListTestData()
		{
			var personList = new Entities.PersonList();

			personList.Add(CreatePersonTestData());

			var person = new Entities.Person()
			{
				Company = "Captator",
				Name = ".Henrik Lykke Nielsen",
				WorkTitle = "Softwarearkitekt",
				AddressLine1 = "Søndergade 44, 3",
				ZipCode = "8000",
				City = "Århus C",
				Phone = "86 20 42 40",
				MobilePhone = "22 37 33 11",
				Role = WpfOpgave.Entities.PersonRole.Partner
			};
			personList.Add(person);

			person = new Entities.Person()
			{
				Company = "Microsoft",
				Name = "Anders Hejlsberg",
				WorkTitle = "Microsoft Distinguished Engineer",
				AddressLine1 = "One Microsoft Way",
				ZipCode = "WA 98052",
				City = "Redmond",
				Phone = "1-425-705-1479",
				Role = WpfOpgave.Entities.PersonRole.Leverandør
			};
			personList.Add(person);

			person = new Entities.Person()
			{
				Company = "Microsoft Danmark",
				Name = "Ole Kjeldsen",
				WorkTitle = "Direktør for Platform og Udviklere",
				AddressLine1 = "Tuborg Boulevard 12",
				ZipCode = "2900",
				City = "Hellerup",
				Phone = "82 33 31 00",
				Role = WpfOpgave.Entities.PersonRole.Kunde
			};
			personList.Add(person);

			return personList;
		}
	}
}
